--- title: "Issue search asset presigned URL" slug: "maiu-upload-asset-query-url" updated: 2026-09-17T10:12:40Z published: 2026-09-17T10:12:40Z canonical: "api.ncloud-docs.com/maiu-upload-asset-query-url" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Issue search asset presigned URL Available in VPC Issue a presigned URL for uploading images to be utilized for searching. Note - The issued presigned URL is valid for 15 minutes and is a one-time use. - Only one image file can be uploaded at a time. - File specifications are as follows: - Format: `jpg`, `png`, `webp`, `heic` - Maximum size: 5 MB - Minimum resolution: 224px or higher - Up to 50 calls can be made per second. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v1/query-assets/uploads/presigned-url | ### Request headers For information about the headers common to all Media Intelligence APIs, see [Media Intelligence request headers](/docs/en/maiu-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `assetType` | String | Required | Asset type - `IMAGE` | | `assetFileName` | String | Required | Name of image file to upload - Example: `search_image.jpg` | ### Request example The request example is as follows: ``` curl --location --request POST 'https://mi.apigw.ntruss.com/api/v1/query-assets/uploads/presigned-url' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "assetType": "IMAGE", "assetFileName": "search_image.png" }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | String | - | [API processing result code](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C) | | `message` | String | - | [API processing result message](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C) | | `result` | Object | - | Presigned URL issuance result object | | `result.assetFileKey` | String | - | Path to the image file to be stored in Object Storage | | `result.presignedUploadUrl` | String | - | Presigned URL address for upload - Valid for 15 minutes - One-time use | | `result.expirationSeconds` | Integer | - | URL's validity time (second) - Default: 900 | ### Response status codes For information about the HTTP status codes common to all Media Intelligence APIs, see [Media Intelligence response status codes](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": "0", "message": "success", "result": { "assetFileKey": "images/.../abc.jpg", "presignedUploadUrl": "https://kr.object.ncloudstorage.com/.../abc.jpg?...", "expirationSeconds": 900 } } ```